package com.ejie.aa21b.model;

/**
 * Aa21b07s01  
 * 
 *  
 */

public class Aa21b07s01 implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String cesta07;
	private String desta07;
	private String eesta07;
	private String situ07;
	private String bloq07;
	private String usub07;

	/**
	 * Method 'Aa21b07s01'.
	 */
	public Aa21b07s01() {
	}

	/**
	 * Method 'Aa21b07s01'.
	 * 
	 * @param cesta07
	 *            String
	 */
	public Aa21b07s01(String cesta07) {
		this.cesta07 = cesta07;
	}

	/**
	 * Method 'Aa21b07s01'.
	 * 
	 * @param cesta07
	 *            String
	 * @param desta07
	 *            String
	 * @param eesta07
	 *            String
	 * @param situ07
	 *            String
	 */
	public Aa21b07s01(String cesta07, String desta07, String eesta07,
			String situ07, String usub07) {

		this.cesta07 = cesta07;
		this.desta07 = desta07;
		this.eesta07 = eesta07;
		this.situ07 = situ07;
		this.usub07 = usub07;
	}

	/**
	 * Method 'getCesta07'.
	 * 
	 * @return String
	 */

	public String getCesta07() {
		return this.cesta07;
	}

	/**
	 * Method 'setCesta07'.
	 * 
	 * @param cesta07
	 *            String
	 * @return
	 */

	public void setCesta07(String cesta07) {
		this.cesta07 = cesta07;
	}

	/**
	 * Method 'getDesta07'.
	 * 
	 * @return String
	 */

	public String getDesta07() {
		return this.desta07;
	}

	/**
	 * Method 'setDesta07'.
	 * 
	 * @param desta07
	 *            String
	 * @return
	 */

	public void setDesta07(String desta07) {
		this.desta07 = desta07;
	}

	/**
	 * Method 'getEesta07'.
	 * 
	 * @return String
	 */

	public String getEesta07() {
		return this.eesta07;
	}

	/**
	 * Method 'setEesta07'.
	 * 
	 * @param eesta07
	 *            String
	 * @return
	 */

	public void setEesta07(String eesta07) {
		this.eesta07 = eesta07;
	}

	/**
	 * Method 'getSitu07'.
	 * 
	 * @return String
	 */

	public String getSitu07() {
		return this.situ07;
	}

	/**
	 * Method 'setSitu07'.
	 * 
	 * @param situ07
	 *            String
	 * @return
	 */

	public void setSitu07(String situ07) {
		this.situ07 = situ07;
	}

	/**
	 * Method 'getBloq07'.
	 * 
	 * @return String
	 */
	public String getBloq07() {
		return bloq07;
	}

	/**
	 * Method 'setBloq07'.
	 * 
	 * @param bloq07
	 *            String
	 * @return
	 */
	public void setBloq07(String bloq07) {
		this.bloq07 = bloq07;
	}

	/**
	 * Method 'getUsub07'.
	 * 
	 * @return String
	 */
	public String getUsub07() {
		return usub07;
	}

	/**
	 * Method 'setUsub07'.
	 * 
	 * @param usub07
	 *            String
	 * @return
	 */
	public void setUsub07(String usub07) {
		this.usub07 = usub07;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ cesta07: ").append(this.cesta07).append(" ]");
		result.append(", [ desta07: ").append(this.desta07).append(" ]");
		result.append(", [ eesta07: ").append(this.eesta07).append(" ]");
		result.append(", [ situ07: ").append(this.situ07).append(" ]");
		result.append(", [ bloq07: ").append(this.bloq07).append(" ]");
		result.append(", [ usub07: ").append(this.usub07).append(" ]");
		result.append("}");
		return result.toString();
	}

}
